Loading...
Searching...
No Matches
Catch::TestInvokerFixture< C > Class Template Reference

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::TestInvokerFixture< C >:
[legend]
Collaboration diagram for Catch::TestInvokerFixture< C >:
[legend]

## Public Member Functions

constexpr | TestInvokerFixture (void(C::*testAsMethod)() const) noexcept
void | prepareTestCase () override
void | tearDownTestCase () override
void | invoke () const override
Public Member Functions inherited from Catch::ITestInvoker
virtual | ~ITestInvoker ()

## Private Attributes

void(C::* | m_testAsMethod )() const
Detail::unique_ptr< C > | m_fixture = nullptr

## Constructor & Destructor Documentation

## TestInvokerFixture()

template<typename C>

Catch::TestInvokerFixture< C >::TestInvokerFixture | ( | void(C::* | testAsMethod )() const | ) |

inlineconstexprnoexcept

## Member Function Documentation

## invoke()

template<typename C>

void Catch::TestInvokerFixture< C >::invoke | ( |  | ) | const

inlineoverridevirtual

Implements Catch::ITestInvoker.

## prepareTestCase()

template<typename C>

void Catch::TestInvokerFixture< C >::prepareTestCase | ( |  | ) |

inlineoverridevirtual

Reimplemented from Catch::ITestInvoker.

Here is the call graph for this function:

## tearDownTestCase()

template<typename C>

void Catch::TestInvokerFixture< C >::tearDownTestCase | ( |  | ) |

inlineoverridevirtual

Reimplemented from Catch::ITestInvoker.

## Member Data Documentation

## m_fixture

template<typename C>

Detail::unique_ptr<C> Catch::TestInvokerFixture< C >::m_fixture = nullptr

private

## m_testAsMethod

template<typename C>

void(C::* Catch::TestInvokerFixture< C >::m_testAsMethod) () const

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp